### Class

# Meta ShapedTexture

#### Description [src]

    final class Meta.ShapedTexture : GObject.Object
      implements Clutter.Content {
      /* No available fields */
    }

A ClutterContent which draws a shaped texture

A MetaShapedTexture draws a `CoglTexture` (often provided from a client surface) in such a way that it matches any required transformations that give its final shape, such as a `MtkMonitorTransform`, y-invertedness, or a crop-and-scale operation.

#### Ancestors

- GObject

#### Implements

- ClutterContent

#### Instance methods

###### meta_shaped_texture_get_image

Flattens the two layers of the shaped texture into one ARGB32 image by alpha blending the two images, and returns the flattened image.

###### meta_shaped_texture_get_texture

No description available.

###### meta_shaped_texture_set_create_mipmaps

No description available.

###### meta_shaped_texture_set_mask_texture

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ClutterContent (3)

###### clutter_content_get_preferred_size

Retrieves the natural size of the `content`, if any.

###### clutter_content_invalidate

Invalidates a `ClutterContent`.

###### clutter_content_invalidate_size

Signals that `content`‘s size changed. Attached actors with request mode set to `CLUTTER_REQUEST_CONTENT_SIZE` will have a relayout queued.

#### Properties

###### Meta.ShapedTexture:clutter-context

No description available.

###### Meta.ShapedTexture:color-state

No description available.

#### Signals

###### Meta.ShapedTexture::size-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from ClutterContent (2)

###### ClutterContent::attached

This signal is emitted each time a `ClutterContent` implementation is assigned to a `ClutterActor`.

###### ClutterContent::detached

This signal is emitted each time a `ClutterContent` implementation is removed from a `ClutterActor`.

#### Class structure

    struct MetaShapedTextureClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.